Startup forces new project document, even when opening data file
Status: Closed

Priority: Severe/Regression

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16476

Description

If I double-click a data file, like a shapefile, when QGIS is not running, QGIS starts, the shapefile is added to the default new project, then

QGIS tries to create a new empty project, which then causes QGIS to prompt to save the one just created with the shapefile.  If I save or

don't save it, a new empty project is created, without the shapefile.  If I cancel, it does not create a new empty project, leaving the

shapefile in the first new project.  This is a regression, I think this has happened in the past, possibly Mac-specific, like something got out

of sequence in the startup process when changes were made to the startup.

What should happen is that the shapefile or other data file starts QGIS and is added to a new project document.  That's it, no attempt to

then create another new empty project.

Associated revisions

Revision 5e39bac1 - 2013-04-07 11:00 PM - Larry Shaffer

Fix #7532, startup forces new project document, even when opening data file

History

#1 - 2013-04-07 01:34 AM - Larry Shaffer

- File qgisapp_open-at-launch_patch.diff added

Hi William,

Please test if attached patch fixes it. Patch works for me under 10.7.5.

#2 - 2013-04-07 10:17 AM - William Kyngesburye

The patch works for me.  Also 10.7.5 (and Qt 4.8.4).

#3 - 2013-04-07 02:00 PM - Larry Shaffer

- Status changed from Open to Closed

Fixed in changeset commit:"5e39bac1f9da74d8c084462608850f76b4e783a6".

Files
qgisapp_open-at-launch_patch.diff 1.65 KB 2013-04-06 Larry Shaffer
